diff --git a/launch.sh b/launch.sh
index aa89cd6e4de373380cafabf5a27d002726dc5687_bGF1bmNoLnNo..1ec4e198eba2ef4ae3e018057c433b323245c3e4_bGF1bmNoLnNo 100755
--- a/launch.sh
+++ b/launch.sh
@@ -1,5 +1,5 @@
 #!/bin/bash
-set -euo pipefail
+set -euox pipefail
 
 # Ensure asv now machine characteristics
 asv machine --yes
@@ -11,7 +11,7 @@
 python prepare_repos.py
 
 # Launch asv
-taskset -c 2,3 asv run --show-stderr --skip-existing-successful --steps 10 "NEW"
+time taskset -c 2,3 asv run --show-stderr --skip-existing-successful "${1-tagged()}"
 
 # Publish results
 asv publish